from django.contrib import admin
from django.contrib.auth.admin import UserAdmin as BaseUserAdmin
from django.contrib.auth.models import User
from iBioFabBackend.models import Plasmid, PlasmidPart, Order, Feature, UserPersonalInfo

class PlasmidAdmin(admin.ModelAdmin):
    pass

class PlasmidPartAdmin(admin.ModelAdmin):
    pass

class OrderAdmin(admin.ModelAdmin):
    pass

class FeatureAdmin(admin.ModelAdmin):
    pass

class UserPersonalInfoInline(admin.StackedInline):
    model = UserPersonalInfo
    can_delete = False
    verbose_name_plural = "user_personal_info"

class UserAdmin(BaseUserAdmin):
    inlines = (UserPersonalInfoInline,)


admin.site.register(Plasmid, PlasmidAdmin)
admin.site.register(PlasmidPart, PlasmidPartAdmin)
admin.site.register(Order, OrderAdmin)
admin.site.register(Feature, FeatureAdmin)

admin.site.unregister(User)
admin.site.register(User, UserAdmin)
