from iBioFabBackend.models import Order, Feature
import shutil
import os
import base64

def has_all_fields_present(request, fields):
    for field in fields:
        if field not in request.data:
            return False

    return True

def get_zip_file_from_order(order):
    if os.path.isdir("iBioFabBackend/Order_Useful_Information/%s" % (order.id)):
        relevant_directory = "iBioFabBackend/Order_Useful_Information/%s" % (order.id)

        if len(os.listdir(relevant_directory)) == 4:
            zip_file_location = "iBioFabBackend/Order_Useful_Information/zip_file_outputs/%s" % (order.id)

            shutil.make_archive(zip_file_location, "zip", relevant_directory)

            zip_file = open(zip_file_location + ".zip", "rb")

            return str(base64.encodebytes(zip_file.read()))
        else:
            return False
    else:
        return False

def get_order_information_for_script_processing(order):
    order_dict = {"features": [], "seq": order.sequence}

    order_dict_features = []
    fragment_number = 1
    for new_feature in order.feature_set.all():
        if new_feature.plasmid_part != None:
            order_dict_features.append({
                "name": "fragment %s" % (fragment_number),
                "segments": [int(new_feature.start_position) + 1, int(new_feature.end_position) + 1],
                "template_name": new_feature.plasmid_part.plasmids[0].name
            })
        else:
            order_dict_features.append({
                "name": "fragment %s" % (fragment_number),
                "segments": [int(new_feature.start_position) + 1, int(new_feature.end_position) + 1],
                "template_name": "CUSTOM"
            })

        fragment_number += 1

    order_dict["features"] = order_dict_features

    return order_dict
