from iBioFabBackend.models import Order, Batch
import iBioFabBackend.cooked_up_libraries.api_helper_methods as ahm

def obtain_orders_for_script_from_batch(batch):
    orders_set = []

    for order in batch.order_set.all():
        orders_set.append(
            ahm.get_order_information_for_script_processing(order)
        )
    
    return orders_set

def develop_batches_from_unbatched_orders(orders):
    unprocessed_batchs = Batch.objects.all().filter(status = "Unprocessed")
    unprocessed_batch_to_num_fragments_dictionary = {}
    unprocessed_batch_to_orders_added = {}

    for unprocessed_batch in unprocessed_batchs:
        unprocessed_batch_to_num_fragments_dictionary[unprocessed_batch.id] = unprocessed_batch.num_fragments
        unprocessed_batch_to_orders_added[unprocessed_batch.id] = False

    for order in orders:
        if order.batch == None:
            order_added = False
            for unprocessed_batch_id in unprocessed_batch_to_num_fragments_dictionary.keys():
                if unprocessed_batch_to_num_fragments_dictionary[unprocessed_batch_id] + len(order.feature_set.all()) <= 92:
                    unprocessed_batch = Batch.objects.get(pk = unprocessed_batch_id)
                    order.batch = unprocessed_batch
                    unprocessed_batch.num_fragments = unprocessed_batch.num_fragments + len(order.feature_set.all())

                    order.save()
                    unprocessed_batch.save()

                    unprocessed_batch_to_orders_added[unprocessed_batch_id] = True
                    unprocessed_batch_to_num_fragments_dictionary[unprocessed_batch_id] = unprocessed_batch.num_fragments

                    order_added = True
            
            if not order_added:
                new_batch = Batch()
                new_batch.save()

                order.batch = new_batch
                new_batch.num_fragments = new_batch.num_fragments + len(order.feature_set.all())

                order.save()

                unprocessed_batch_to_num_fragments_dictionary[new_batch.id] = new_batch.num_fragments
                unprocessed_batch_to_orders_added[new_batch.id] = True
    
