from snapgene_reader import snapgene_file_to_dict

def obtain_annotations_from_snapgene_file(file_path):
    plasmid_dictionary = snapgene_file_to_dict(file_path)

    id = 1

    parts = []
    for feature in plasmid_dictionary["features"]:
        color = feature["color"]
        name = feature["name"]

        range_str = feature["segments"][0]["@range"]
        range_str_split = range_str.split("-")

        start = int(range_str_split[0])
        end = int(range_str_split[1])

        parts.append({
            "id": id,
            "name": name,
            "start": start,
            "end": end,
            "color": color
        })

        id += 1

    return {
        "sequence": plasmid_dictionary["seq"],
        "parts": parts
    }
