from django_elasticsearch_dsl import Document
from django_elasticsearch_dsl.registries import registry
from .models import Plasmid, PlasmidPart

@registry.register_document
class PlasmidDocument(Document):
    class Index:
        name = "plasmids"
    class Django:
        model = Plasmid

        fields = [
            "id",
            "name",
            "sequence"
        ]

@registry.register_document
class PlasmidPartDocument(Document):
    class Index:
        name = "plasmid_parts"
    class Django:
        model = PlasmidPart

        fields = [
            "id",
            "name",
            "start_position",
            "end_position",
            "strand"
        ]
