# Generated by Django 3.2.3 on 2021-06-18 02:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DNAFiles',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('upload', models.FileField(upload_to='iBioFabBackend/dna_uploads')),
            ],
        ),
        migrations.CreateModel(
            name='Plasmid',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('sequence', models.CharField(max_length=9223372036854775807)),
            ],
        ),
        migrations.CreateModel(
            name='UserPersonalInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('affiliation', models.CharField(max_length=100)),
                ('verified', models.BooleanField(default=False)),
                ('verification_token', models.CharField(max_length=250)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PlasmidPart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('start_position', models.IntegerField()),
                ('end_position', models.IntegerField()),
                ('strand', models.CharField(max_length=1)),
                ('color', models.CharField(max_length=100)),
                ('plasmids', models.ManyToManyField(to='iBioFabBackend.Plasmid')),
            ],
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sequence', models.CharField(max_length=9223372036854775807)),
                ('bacterial_selection', models.CharField(max_length=100)),
                ('originReplication', models.CharField(max_length=100)),
                ('concentration', models.FloatField()),
                ('organism', models.CharField(max_length=100)),
                ('status', models.CharField(max_length=100)),
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Feature',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_position', models.IntegerField()),
                ('end_position', models.IntegerField()),
                ('name', models.CharField(max_length=100)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iBioFabBackend.order')),
                ('plasmid_part', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='iBioFabBackend.plasmidpart')),
            ],
        ),
    ]
