from celery import shared_task
from iBioFabBackend.celery_settings import app
from celery_progress.backend import ProgressRecorder
from iBioFabBackend.cooked_up_libraries.plasmid_constructor_neb import output_instructions_for_plasmid_construction_orders, output_instructions_for_plasmid_construction_batches


@app.task(name = "get_necessary_information_to_build_plasmid_orders")
def get_necessary_information_to_build_plasmid_orders(order_ids, necessary_dict_list_input):
    output_instructions_for_plasmid_construction_orders(order_ids, necessary_dict_list_input)
    return True

@app.task(name = "get_necessary_information_to_build_plasmid_batch")
def get_necessary_information_to_build_plasmid_batch(batch_ids):
    output_instructions_for_plasmid_construction_batches(batch_ids)
    return True
